Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
foxit::pdf::LayerZoomData Class Reference

Inherits Object.

## Public Member Functions
| LayerZoomData ()
| Constructor.
| LayerZoomData (const LayerZoomData &data)
| Constructor, with another layer zoom data object. More...
| LayerZoomData (float min_factor, float max_factor)
| Constructor, with parameters. More...
LayerZoomData & | operator= (const LayerZoomData &data)
| Assign operator. More...
void | Set (float min_factor, float max_factor)
| Set value. More...

## Public Attributes
float | max_factor
| The magnification factor below which the group should be ON. A negative number means no magnification zoom factor.
float | min_factor
| The minimum recommended magnification factor at which the group should be ON. A negative number means no minimum zoom factor.

## Detailed Description

This class represents data for PDF layer zooming usage.

## Constructor & Destructor Documentation

## ◆ LayerZoomData() [1/2]

foxit::pdf::LayerZoomData::LayerZoomData | ( | float | min_factor,
|  | float | max_factor
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | min_factor | The minimum recommended magnification factor, in float. A negative number means no minimum zoom factor.
  [in] | max_factor | The magnification factor, in float. A negative number means no magnification zoom factor.

## ◆ LayerZoomData() [2/2]

foxit::pdf::LayerZoomData::LayerZoomData | ( | const LayerZoomData & | data | ) |
| inline

Constructor, with another layer zoom data object.

Parameters

  [in] | data | Another layer zoom data object.

## Member Function Documentation

## ◆ operator=()

LayerZoomData& foxit::pdf::LayerZoomData::operator= | ( | const LayerZoomData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another layer zoom data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::pdf::LayerZoomData::Set | ( | float | min_factor,
|  | float | max_factor
| ) |  |
| inline

Set value.

Parameters

  [in] | min_factor | The minimum recommended magnification factor, in float. A negative number means no minimum zoom factor.
  [in] | max_factor | The magnification factor, in float. A negative number means no magnification zoom factor.

Returns
  None.